Loading...
Searching...
No Matches
casacore::TaQLQueryNodeRep Class Referenceabstract
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Raw TaQL parse tree node defining a selection command. More...

`#include <TaQLNodeDer.h>`

## Public Member Functions

| TaQLQueryNodeRep (int nodeType)
void | setBrackets ()
void | setNoExecute ()
void | setFromExecute ()
Bool | getBrackets () const
Bool | getNoExecute () const
Bool | getFromExecute () const
virtual void | show (std::ostream &os) const override
| Print the object in an ostream.
Public Member Functions inherited from casacore::TaQLNodeRep
| TaQLNodeRep (int nodeType)
| Constructor for derived classes specifying the type.
virtual | ~TaQLNodeRep ()
| TaQLNodeRep (const TaQLNodeRep &)=delete
| Letter objects cannot be copied.
TaQLNodeRep & | operator= (const TaQLNodeRep &)=delete
char | nodeType () const
| Get the node type of the derived class.
const TaQLStyle & | style () const
| Get the TaQL style.
virtual TaQLNodeResult | visit (TaQLNodeVisitor &) const =0
| Visit a node for tree traversal.
virtual void | save (AipsIO &aio) const =0
| Save the object.
String | addEscape (const String &str) const
| Add escape characters to a table name where needed.

## Protected Member Functions

void | saveSuper (AipsIO &aio) const
void | restoreSuper (AipsIO &aio)

## Private Member Functions

virtual void | showDerived (std::ostream &os) const =0

## Private Attributes

Bool | itsBrackets
Bool | itsNoExecute
Bool | itsFromExecute

## Additional Inherited Members

Static Public Member Functions inherited from casacore::TaQLNodeRep
static String | checkDataType (const String &)
| Check the data type string and return its standard form.

## Detailed Description

Raw TaQL parse tree node defining a selection command.

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Prerequisite

- TaQLNodeRep

### Synopsis

This class is an abstract TaQLNodeRep for a selection command that can also be used as a subquery. It holds flags telling if and how the select command must be executed when the node is visited for TaQLNodeHandler.

Definition at line 744 of file TaQLNodeDer.h.

## Constructor & Destructor Documentation

## TaQLQueryNodeRep()

casacore::TaQLQueryNodeRep::TaQLQueryNodeRep | ( | int | nodeType | ) |

References casacore::TaQLNodeRep::nodeType().

## Member Function Documentation

## getBrackets()

Bool casacore::TaQLQueryNodeRep::getBrackets | ( |  | ) | const

inline

Definition at line 754 of file TaQLNodeDer.h.

References itsBrackets.

## getFromExecute()

Bool casacore::TaQLQueryNodeRep::getFromExecute | ( |  | ) | const

inline

Definition at line 758 of file TaQLNodeDer.h.

References itsFromExecute.

## getNoExecute()

Bool casacore::TaQLQueryNodeRep::getNoExecute | ( |  | ) | const

inline

Definition at line 756 of file TaQLNodeDer.h.

References itsNoExecute.

## restoreSuper()

void casacore::TaQLQueryNodeRep::restoreSuper | ( | AipsIO & | aio | ) |

protected

## saveSuper()

void casacore::TaQLQueryNodeRep::saveSuper | ( | AipsIO & | aio | ) | const

protected

## setBrackets()

void casacore::TaQLQueryNodeRep::setBrackets | ( |  | ) |

inline

Definition at line 748 of file TaQLNodeDer.h.

References itsBrackets, and casacore::True.

## setFromExecute()

void casacore::TaQLQueryNodeRep::setFromExecute | ( |  | ) |

inline

Definition at line 752 of file TaQLNodeDer.h.

References itsFromExecute, and casacore::True.

## setNoExecute()

void casacore::TaQLQueryNodeRep::setNoExecute | ( |  | ) |

inline

Definition at line 750 of file TaQLNodeDer.h.

References itsNoExecute, and casacore::True.

## show()

virtual void casacore::TaQLQueryNodeRep::show | ( | std::ostream & | os | ) | const

override virtual

Print the object in an ostream.

Implements casacore::TaQLNodeRep.

## showDerived()

virtual void casacore::TaQLQueryNodeRep::showDerived | ( | std::ostream & | os | ) | const

private pure virtual

Implemented in casacore::TaQLAltTabNodeRep, casacore::TaQLConcTabNodeRep, casacore::TaQLCountNodeRep, casacore::TaQLCreTabNodeRep, and casacore::TaQLSelectNodeRep.

## Member Data Documentation

## itsBrackets

Bool casacore::TaQLQueryNodeRep::itsBrackets

private

Definition at line 766 of file TaQLNodeDer.h.

Referenced by getBrackets(), and setBrackets().

## itsFromExecute

Bool casacore::TaQLQueryNodeRep::itsFromExecute

private

Definition at line 768 of file TaQLNodeDer.h.

Referenced by getFromExecute(), and setFromExecute().

## itsNoExecute

Bool casacore::TaQLQueryNodeRep::itsNoExecute

private

Definition at line 767 of file TaQLNodeDer.h.

Referenced by getNoExecute(), and setNoExecute().

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNodeDer.h